> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Issue by ID

> Retrieve an issue by its ID (Leen's UUID).



## OpenAPI

````yaml get /appsec/issues/{issue_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /appsec/issues/{issue_id}:
    get:
      tags:
        - appsec
      summary: Get Issue by ID
      description: Retrieve an issue by its ID (Leen's UUID).
      operationId: get_issue_by_id
      parameters:
        - name: issue_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Issue Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppSecIssueRespModel'
        '404':
          description: Issue not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    AppSecIssueRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        code_repo:
          type: string
          title: Code Repo
        project_file_path:
          type: string
          title: Project File Path
        repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Url
        repo_branch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Branch Name
        vendor:
          type: string
          title: Vendor
        vendor_id:
          type: string
          title: Vendor Id
        name:
          type: string
          title: Name
        package_name:
          type: string
          title: Package Name
        package_version:
          type: string
          title: Package Version
        severity:
          $ref: '#/components/schemas/AppSecIssueSeverityEnum'
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
        package_manager:
          type: string
          title: Package Manager
        publication_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Publication Time
        is_patchable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Patchable
        remediation:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Remediation
        type:
          $ref: '#/components/schemas/AppSecIssueTypeEnum'
        description:
          type: string
          title: Description
        vulnerability_identifiers:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/AppSecIssueVulnIdentifierCVE'
                  - $ref: '#/components/schemas/AppSecIssueVulnIdentifierCWE'
                  - $ref: '#/components/schemas/AppSecIssueVulnIdentifierOWASP'
                  - $ref: '#/components/schemas/AppSecIssueVulnIdentifierOther'
              type: array
            - type: 'null'
          title: Vulnerability Identifiers
        cvss_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Cvss Score
        state:
          $ref: '#/components/schemas/AppSecIssueStateEnum'
        first_seen:
          type: string
          format: date-time
          title: First Seen
        last_seen:
          type: string
          format: date-time
          title: Last Seen
        kb_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Kb Url
        issue_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Url
        vendor_data:
          anyOf:
            - $ref: '#/components/schemas/AikidoVendorData'
            - $ref: '#/components/schemas/ArnicaVendorData'
            - $ref: '#/components/schemas/SnykVendorData'
            - $ref: '#/components/schemas/SemgrepVendorData'
            - $ref: '#/components/schemas/WizCodeVendorData'
            - type: 'null'
          title: Vendor Data
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        state_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: State Updated At
      type: object
      required:
        - id
        - code_repo
        - project_file_path
        - vendor
        - vendor_id
        - name
        - package_name
        - package_version
        - severity
        - package_manager
        - type
        - description
        - state
        - first_seen
        - last_seen
      title: AppSecIssue
    ErrorException:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorException
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AppSecIssueSeverityEnum:
      type: string
      enum:
        - INFO
        - LOW
        - MEDIUM
        - HIGH
        - CRITICAL
      title: AppSecIssueSeverityEnum
    AppSecIssueTypeEnum:
      type: string
      enum:
        - VULNERABILITY
        - LICENSE
        - CLOUD
        - CODE
        - CUSTOM
        - CONFIG
      title: AppSecIssueTypeEnum
    AppSecIssueVulnIdentifierCVE:
      properties:
        type:
          type: string
          enum:
            - CVE
          const: CVE
          title: Type
        value:
          type: string
          title: Value
          examples:
            - CVE-2021-34527
      type: object
      required:
        - type
        - value
      title: AppSecIssueVulnIdentifierCVE
    AppSecIssueVulnIdentifierCWE:
      properties:
        type:
          type: string
          enum:
            - CWE
          const: CWE
          title: Type
        value:
          type: string
          title: Value
          examples:
            - CWE-79
      type: object
      required:
        - type
        - value
      title: AppSecIssueVulnIdentifierCWE
    AppSecIssueVulnIdentifierOWASP:
      properties:
        type:
          type: string
          enum:
            - OWASP
          const: OWASP
          title: Type
        value:
          type: string
          title: Value
          examples:
            - A06:2021
      type: object
      required:
        - type
        - value
      title: AppSecIssueVulnIdentifierOWASP
    AppSecIssueVulnIdentifierOther:
      properties:
        type:
          type: string
          enum:
            - OTHER
          const: OTHER
          title: Type
        value:
          type: string
          title: Value
          examples:
            - SNYK-CC-TF-130
      type: object
      required:
        - type
        - value
      title: AppSecIssueVulnIdentifierOther
    AppSecIssueStateEnum:
      type: string
      enum:
        - OPEN
        - CLOSED
        - IGNORED
        - DELETED
      title: AppSecIssueStateEnum
    AikidoVendorData:
      properties:
        finding_type:
          $ref: '#/components/schemas/AikidoIssueTypeEnum'
        attack_surface_type:
          $ref: '#/components/schemas/AikidoIssueAttackSurfaceEnum'
        attack_surface:
          anyOf:
            - $ref: '#/components/schemas/AikidoCodeRepository'
            - $ref: '#/components/schemas/AkikidoCloud'
            - $ref: '#/components/schemas/AikidoContainer'
            - type: 'null'
          title: Attack Surface
      type: object
      required:
        - finding_type
        - attack_surface_type
      title: AikidoVendorData
    ArnicaVendorData:
      properties:
        commit_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Hash
        commit_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Message
        commit_author:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Author
        rule_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rule Id
        asset_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset Link
      type: object
      title: ArnicaVendorData
    SnykVendorData:
      properties:
        issue_key:
          type: string
          title: Issue Key
        is_fixable_manually:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Fixable Manually
        is_fixable_snyk:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Fixable Snyk
        is_fixable_upstream:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Fixable Upstream
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
      type: object
      required:
        - issue_key
      title: SnykVendorData
    SemgrepVendorData:
      properties:
        line_of_code_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Line Of Code Url
        found_dependency_ecosystem:
          anyOf:
            - type: string
            - type: 'null'
          title: Found Dependency Ecosystem
      type: object
      title: SemgrepVendorData
    WizCodeVendorData:
      properties:
        source_code_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Code Url
        cloud_platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Cloud Platform
        cloud_provider_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cloud Provider Url
        location_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Location Path
        line_number:
          anyOf:
            - type: integer
            - type: 'null'
          title: Line Number
        related_issues:
          anyOf:
            - items:
                $ref: '#/components/schemas/WizRelatedIssuesNode'
              type: array
            - type: 'null'
          title: Related Issues
      type: object
      title: WizCodeVendorData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AikidoIssueTypeEnum:
      type: string
      enum:
        - cloud
        - eol
        - iac
        - leaked_secret
        - malware
        - mobile
        - open_source
        - sast
        - surface_monitoring
        - scm_security
        - license
        - ai_pentest
      title: AikidoIssueTypeEnum
    AikidoIssueAttackSurfaceEnum:
      type: string
      enum:
        - backend
        - cloud
        - docker_container
        - frontend
        - scm
        - cloud_instance
        - ''
      title: AikidoIssueAttackSurfaceEnum
    AikidoCodeRepository:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        external_repo_id:
          type: string
          title: External Repo Id
        provider:
          type: string
          title: Provider
        active:
          type: boolean
          title: Active
        branch:
          type: string
          title: Branch
      type: object
      required:
        - id
        - name
        - external_repo_id
        - provider
        - active
        - branch
      title: AikidoCodeRepository
    AkikidoCloud:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        provider:
          type: string
          title: Provider
        environment:
          type: string
          title: Environment
        external_id:
          type: string
          title: External Id
      type: object
      required:
        - id
        - name
        - provider
        - environment
        - external_id
      title: AkikidoCloud
    AikidoContainer:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        provider:
          type: string
          title: Provider
        registry_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Name
      type: object
      required:
        - id
        - name
        - provider
      title: AikidoContainer
    WizRelatedIssuesNode:
      properties:
        nodes:
          anyOf:
            - items:
                $ref: '#/components/schemas/WizRelatedIssues'
              type: array
            - type: 'null'
          title: Nodes
          field_metadata:
            is_event_timestamp: false
            is_silver_identifier: false
            is_unique_identifier: false
            lookup_identifiers: []
            prefix: related_issue
      type: object
      required:
        - nodes
      title: WizRelatedIssuesNode
    WizRelatedIssues:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      title: WizRelatedIssues
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````